#!/bin/bash
# script to run in scripts directory

root_dir=`dirname $0`
driver_dir=$root_dir/driver
tools_dir=$driver_dir/tools

echo "**********************************************************"
echo "WAM build installer script"
echo "**********************************************************"

cd $root_dir > /dev/null
base=`basename $PWD`
cd - > /dev/null

#pkg_dir="$root_dir/$base-pkg"
pkg_dir="pkg"

rm -rf $pkg_dir
mkdir -p $pkg_dir
mkdir -p $pkg_dir/bin
mkdir -p $pkg_dir/lib
mkdir -p $pkg_dir/driver
mkdir -p $pkg_dir/scripts

cd $driver_dir
make clean;
make
cd - > /dev/null

cd $tools_dir
make clean;
make
cd - > /dev/null

# copy README
cp $tools_dir/wam_install.sh $pkg_dir
cp $tools_dir/wam_uninstall.sh $pkg_dir
cp $tools_dir/wam_startup $pkg_dir
cp $tools_dir/wamdiag $pkg_dir/bin
cp $tools_dir/wamctl $pkg_dir/bin
cp $tools_dir/libmvwam.so $pkg_dir/lib
cp $tools_dir/wam_getlogs.sh $pkg_dir/scripts
cp $driver_dir/mvloki.ko $pkg_dir/driver
cp $driver_dir/install.sh $pkg_dir/driver

#tar cvzf $pkg_dir.tar.gz $pkg_dir
#echo "WAM package: $pkg_dir.tar.gz"

echo "**********************************************************"
echo "WAM build installer done"
echo "**********************************************************"

